Create a new Evaluation
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/evaluations
Creates a new AI Gateway.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Create a new Evaluation
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$GATEWAY_ID/evaluations \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"dataset_ids": [
"string"
],
"evaluation_type_ids": [
"string"
],
"name": "name"
}'{
"result": {
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"datasets": [
{
"id": "id",
"account_id": "account_id",
"account_tag": "account_tag",
"created_at": "2019-12-27T18:11:19.117Z",
"enable": true,
"filters": [
{
"key": "created_at",
"operator": "eq",
"value": [
"string"
]
}
],
"gateway_id": "my-gateway",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name"
}
],
"gateway_id": "my-gateway",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"processed": true,
"results": [
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"evaluation_id": "evaluation_id",
"evaluation_type_id": "evaluation_type_id",
"modified_at": "2019-12-27T18:11:19.117Z",
"result": "result",
"status": 0,
"status_description": "status_description",
"total_logs": 0
}
],
"total_logs": 0
},
"success": true
}Returns Examples
{
"result": {
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"datasets": [
{
"id": "id",
"account_id": "account_id",
"account_tag": "account_tag",
"created_at": "2019-12-27T18:11:19.117Z",
"enable": true,
"filters": [
{
"key": "created_at",
"operator": "eq",
"value": [
"string"
]
}
],
"gateway_id": "my-gateway",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name"
}
],
"gateway_id": "my-gateway",
"modified_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"processed": true,
"results": [
{
"id": "id",
"created_at": "2019-12-27T18:11:19.117Z",
"evaluation_id": "evaluation_id",
"evaluation_type_id": "evaluation_type_id",
"modified_at": "2019-12-27T18:11:19.117Z",
"result": "result",
"status": 0,
"status_description": "status_description",
"total_logs": 0
}
],
"total_logs": 0
},
"success": true
}